Subject: [bug#52956] [PATCH] gnu: darktable: update to 3.8.0

From: John Kehayias <[email-masked]>
Date: Sun, 09 Jan 2022 18:35:13 +0000

Hi Alex and Ludo’,

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐

On Sunday, January 9th, 2022 at 6:56 AM, Alex Devaure wrote:

> I managed to build darktable with the last lua version (4.5.3) but I
> needed to update the patched for that version.
> During that process, I came to the same question than John's: what is
> the best and least disturbing way to add lua 4.5.3?
>

Glad to hear darktable builds with the newer version of Lua.

However, I realized belatedly that the --with-latest transformation will not inherit the patches of the original package. And, as I would have expected, those patches don't apply cleanly to the new 5.4.3 source. I haven't had a chance to investigate, and likely won't be able to for a bit (still catching up on other patches I have).

As for how to introduce the new version, my guess (now that the patches needed to be updated) would be to have a lua-5.4 (or called lua-next) package. If it is just the patches that need to be updated, lua (the 5.3 version) could inherit from lua-5.4 adjusting the source field for that version and using the original patches. Assuming this doesn't cause rebuilds of the lua packages, that is. If more changes are needed, then lua-5.4 would just stand separate from the lua <= 5.3 version set.

John